| PUT | /subusers/update | Update a sub user |
|---|
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports SimplifiedID.Api2.ServiceModel.Operations.Account
Imports SimplifiedID.Api2.ServiceModel.Operations.Base
Imports SimplifiedID.Api2.ServiceModel.Types
Namespace Global
Namespace ServiceStack
Public Partial Class ArrayOfString
Inherits List(Of String)
End Class
End Namespace
Namespace SimplifiedID.Api2.ServiceModel.Operations.Account
<DataContract>
Public Partial Class UpdateSubUser
Inherits BaseRequest
<DataMember>
Public Overridable Property Request As UpdateSubUserRequest
End Class
Public Partial Class UpdateSubUserData
Inherits BaseResponse
'''<Summary>
'''The sub user
'''</Summary>
<ApiMember(Description:="The sub user")>
Public Overridable Property SubUser As SubUser
End Class
Public Partial Class UpdateSubUserRequest
'''<Summary>
'''The user name of the sub user
'''</Summary>
<ApiMember(Description:="The user name of the sub user", IsRequired:=true)>
Public Overridable Property SubUserName As String
'''<Summary>
'''The user names for which searches will be made available to the sub user
'''</Summary>
<ApiMember(Description:="The user names for which searches will be made available to the sub user")>
Public Overridable Property Permissions As ArrayOfString
End Class
<DataContract>
Public Partial Class UpdateSubUserResponse
'''<Summary>
'''The response data
'''</Summary>
<DataMember>
<ApiMember(Description:="The response data")>
Public Overridable Property Data As UpdateSubUserData
End Class
End Namespace
Namespace SimplifiedID.Api2.ServiceModel.Operations.Base
Public Partial Class ArrayOfResponseError
Inherits List(Of ResponseError)
End Class
<DataContract>
Public Partial Class BaseRequest
Implements IBaseRequest
'''<Summary>
'''The authentication credentials
'''</Summary>
<DataMember>
<ApiMember(Description:="The authentication credentials", IsRequired:=true, ParameterType:="header, body")>
Public Overridable Property Authentication As Authentication Implements IBaseRequest.Authentication
End Class
Public Partial Class BaseResponse
Implements IBaseDataResponse
Implements IHasResponseStatus
'''<Summary>
'''The status of the response
'''</Summary>
<ApiMember(Description:="The status of the response")>
Public Overridable Property ResponseStatus As ResponseStatus Implements IHasResponseStatus.ResponseStatus
End Class
<DataContract>
Public Partial Class ResponseError
<DataMember(Order:=1)>
Public Overridable Property ErrorCode As String
<DataMember(Order:=2)>
Public Overridable Property FieldName As String
<DataMember(Order:=3)>
Public Overridable Property Message As String
<DataMember(Order:=4)>
Public Overridable Property Meta As Dictionary(Of String, String)
End Class
<DataContract>
Public Partial Class ResponseStatus
<DataMember(Order:=1)>
Public Overridable Property ErrorCode As String
<DataMember(Order:=2)>
Public Overridable Property Message As String
<DataMember(Order:=3)>
Public Overridable Property StackTrace As String
<DataMember(Order:=4)>
Public Overridable Property Errors As ArrayOfResponseError
<DataMember(Order:=5)>
Public Overridable Property Meta As Dictionary(Of String, String)
End Class
End Namespace
Namespace SimplifiedID.Api2.ServiceModel.Types
Public Partial Class ArrayOfUserNames
Inherits List(Of String)
End Class
<DataContract>
Public Partial Class Authentication
'''<Summary>
'''The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)
'''</Summary>
<DataMember>
<ApiMember(Description:="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired:=true, ParameterType:="header, body")>
Public Overridable Property ApiUserId As String
'''<Summary>
'''The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)
'''</Summary>
<DataMember>
<ApiMember(Description:="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired:=true, ParameterType:="header, body")>
Public Overridable Property ApiUserKey As String
'''<Summary>
'''The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).
'''</Summary>
<DataMember>
<ApiMember(Description:="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType:="header, body")>
Public Overridable Property UserId As String
End Class
Public Partial Class SubUser
'''<Summary>
'''Is this user the main user (i.e. the user who created the account)
'''</Summary>
<ApiMember(Description:="Is this user the main user (i.e. the user who created the account)")>
Public Overridable Property IsMainUser As Boolean
'''<Summary>
'''The sub user's id (GUID)
'''</Summary>
<ApiMember(Description:="The sub user's id (GUID)")>
Public Overridable Property UserId As Guid
'''<Summary>
'''The sub user's UserName (i.e. the sign-in username)
'''</Summary>
<ApiMember(Description:="The sub user's UserName (i.e. the sign-in username)")>
Public Overridable Property UserName As String
'''<Summary>
'''The sub user's name
'''</Summary>
<ApiMember(Description:="The sub user's name")>
Public Overridable Property Name As String
'''<Summary>
'''The sub user's email address
'''</Summary>
<ApiMember(Description:="The sub user's email address")>
Public Overridable Property Email As String
'''<Summary>
'''Does this sub user have admin privileges, such as managing purchases and sub users
'''</Summary>
<ApiMember(Description:="Does this sub user have admin privileges, such as managing purchases and sub users")>
Public Overridable Property IsAdmin As Boolean
'''<Summary>
'''Can this sub user resolve searches (UpdateSearch) they have access to
'''</Summary>
<ApiMember(Description:="Can this sub user resolve searches (UpdateSearch) they have access to")>
Public Overridable Property CanResolveSearches As Boolean
'''<Summary>
'''Can this sub user delete searches (DeleteSearch) they have access to
'''</Summary>
<ApiMember(Description:="Can this sub user delete searches (DeleteSearch) they have access to")>
Public Overridable Property CanDeleteSearches As Boolean
'''<Summary>
'''The user names for which searches will be made available to the sub user
'''</Summary>
<ApiMember(Description:="The user names for which searches will be made available to the sub user")>
Public Overridable Property Permissions As ArrayOfUserNames
End Class
End Namespace
End Namespace
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /subusers/update HTTP/1.1
Host: api.sanctionssearch.com
Accept: application/json
Content-Type: application/json
Content-Length: length
{"request":{"subUserName":"String","permissions":["String"]},"authentication":{"apiUserId":"String","apiUserKey":"String","userId":"String"}}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{"data":{"subUser":{"isMainUser":false,"userName":"String","name":"String","email":"String","isAdmin":false,"canResolveSearches":false,"canDeleteSearches":false,"permissions":["String"]},"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}}